Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class ComputedValue

    java.lang.Object
      org.apache.batik.css.engine.value.ComputedValue

All Implemented Interfaces:
  Value

    public class ComputedValue

extends Object
implements Value

This class represents a computed property value.

Field Summary
`protected Value` | `cascadedValue` The cascaded value.
`protected Value` | `computedValue` The computed value.

Constructor Summary
`ComputedValue(Value cv)` Creates a new ComputedValue object.

Method Summary
`Value` | `getBlue()` Implements `Value.getBlue()`.
`Value` | `getBottom()` Implements `Value.getBottom()`.
`Value` | `getCascadedValue()` Returns the cascaded value.
`Value` | `getComputedValue()` Returns the computed value.
`String` | `getCssText()` Implements `Value.getCssText()`.
`short` | `getCssValueType()` Implements `Value.getCssValueType()`.
`float` | `getFloatValue()` Implements `Value.getFloatValue()`.
`Value` | `getGreen()` Implements `Value.getGreen()`.
`String` | `getIdentifier()` Implements `Value.getIdentifier()`.
`Value` | `getLeft()` Implements `Value.getLeft()`.
`int` | `getLength()` Implements `Value.getLength()`.
`String` | `getListStyle()` Implements `Value.getListStyle()`.
`short` | `getPrimitiveType()` Implements `Value.getPrimitiveType()`.
`Value` | `getRed()` Implements `Value.getRed()`.
`Value` | `getRight()` Implements `Value.getRight()`.
`String` | `getSeparator()` Implements `Value.getSeparator()`.
`String` | `getStringValue()` Implements `Value.getStringValue()`.
`Value` | `getTop()` Implements `Value.getTop()`.
`Value` | `item(int index)` Implements `Value.item(int)`.
`void` | `setComputedValue(Value v)` Sets the computed value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cascadedValue

    protected Value cascadedValue

  The cascaded value.

### computedValue

    protected Value computedValue

  The computed value.

Constructor Detail

### ComputedValue

    public ComputedValue(Value cv)

  Creates a new ComputedValue object.

  Parameters:
    `cv` - The cascaded value.

Method Detail

### getComputedValue

    public Value getComputedValue()

  Returns the computed value.

### getCascadedValue

    public Value getCascadedValue()

  Returns the cascaded value.

### setComputedValue

    public void setComputedValue(Value v)

  Sets the computed value.

### getCssText

    public String getCssText()

  Implements `Value.getCssText()`.

  Specified by:
    `getCssText` in interface `Value`

### getCssValueType

    public short getCssValueType()

  Implements `Value.getCssValueType()`.

  Specified by:
    `getCssValueType` in interface `Value`

### getPrimitiveType

    public short getPrimitiveType()

  Implements `Value.getPrimitiveType()`.

  Specified by:
    `getPrimitiveType` in interface `Value`

### getFloatValue

    public float getFloatValue()
                        throws DOMException

  Implements `Value.getFloatValue()`.

  Specified by:
    `getFloatValue` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a float value.

### getStringValue

    public String getStringValue()
                          throws DOMException

  Implements `Value.getStringValue()`.

  Specified by:
    `getStringValue` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a string value.

### getRed

    public Value getRed()
                 throws DOMException

  Implements `Value.getRed()`.

  Specified by:
    `getRed` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getGreen

    public Value getGreen()
                   throws DOMException

  Implements `Value.getGreen()`.

  Specified by:
    `getGreen` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getBlue

    public Value getBlue()
                  throws DOMException

  Implements `Value.getBlue()`.

  Specified by:
    `getBlue` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getLength

    public int getLength()
                  throws DOMException

  Implements `Value.getLength()`.

  Specified by:
    `getLength` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a list value.

### item

    public Value item(int index)
               throws DOMException

  Implements `Value.item(int)`.

  Specified by:
    `item` in interface `Value`
  Returns:
    The style rule at the `index` position in the list, or `null` if that is not a valid index.
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a list value.

### getTop

    public Value getTop()
                 throws DOMException

  Implements `Value.getTop()`.

  Specified by:
    `getTop` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getRight

    public Value getRight()
                   throws DOMException

  Implements `Value.getRight()`.

  Specified by:
    `getRight` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getBottom

    public Value getBottom()
                    throws DOMException

  Implements `Value.getBottom()`.

  Specified by:
    `getBottom` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getLeft

    public Value getLeft()
                  throws DOMException

  Implements `Value.getLeft()`.

  Specified by:
    `getLeft` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getIdentifier

    public String getIdentifier()
                         throws DOMException

  Implements `Value.getIdentifier()`.

  Specified by:
    `getIdentifier` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### getListStyle

    public String getListStyle()
                        throws DOMException

  Implements `Value.getListStyle()`.

  Specified by:
    `getListStyle` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### getSeparator

    public String getSeparator()
                        throws DOMException

  Implements `Value.getSeparator()`.

  Specified by:
    `getSeparator` in interface `Value`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.